searchData={"items":[{"type":"module","title":"HLS.AlternativeRendition","doc":"","ref":"HLS.AlternativeRendition.html"},{"type":"function","title":"HLS.AlternativeRendition.default_group_for_type/1","doc":"","ref":"HLS.AlternativeRendition.html#default_group_for_type/1"},{"type":"function","title":"HLS.AlternativeRendition.from_tag/1","doc":"","ref":"HLS.AlternativeRendition.html#from_tag/1"},{"type":"function","title":"HLS.AlternativeRendition.to_tag/1","doc":"","ref":"HLS.AlternativeRendition.html#to_tag/1"},{"type":"type","title":"HLS.AlternativeRendition.t/0","doc":"","ref":"HLS.AlternativeRendition.html#t:t/0"},{"type":"type","title":"HLS.AlternativeRendition.type_t/0","doc":"","ref":"HLS.AlternativeRendition.html#t:type_t/0"},{"type":"module","title":"HLS.Helper","doc":"","ref":"HLS.Helper.html"},{"type":"function","title":"HLS.Helper.merge_uri/2","doc":"","ref":"HLS.Helper.html#merge_uri/2"},{"type":"module","title":"HLS.Packager","doc":"The `HLS.Packager` module is responsible for managing and generating media and master playlists\nfor HTTP Live Streaming (HLS). It handles various tasks such as loading and saving playlists,\ninserting new streams, uploading segments and maintaining synchronization points for different streams.","ref":"HLS.Packager.html"},{"type":"function","title":"HLS.Packager.add_track/3","doc":"Adds a new track to the packager.\nTracks can only be added as long as the master playlist has not been written yet.","ref":"HLS.Packager.html#add_track/3"},{"type":"function","title":"Examples - HLS.Packager.add_track/3","doc":"```elixir\nPackager.add_track(\n  packager,\n  \"416x234\",\n  stream: %HLS.VariantStream{\n    uri: URI.new!(\"stream_416x234.m3u8\"),\n    bandwidth: 341_276,\n    resolution: {416, 234},\n    codecs: [\"avc1.64000c\", \"mp4a.40.2\"]\n  },\n  segment_extension: \".m4s\",\n  target_segment_duration: 7\n)\n```","ref":"HLS.Packager.html#add_track/3-examples"},{"type":"function","title":"HLS.Packager.append_to_path/2","doc":"Allows to append something to an URIs path.","ref":"HLS.Packager.html#append_to_path/2"},{"type":"function","title":"Examples - HLS.Packager.append_to_path/2","doc":"iex> HLS.Packager.append_to_path(URI.new!(\"file://a.m3u8\"), \"_480p\")\n    URI.new!(\"file://a_480p.m3u8\")\n\n    iex> HLS.Packager.append_to_path(URI.new!(\"file://a/b.m3u8\"), \"_480p\")\n    URI.new!(\"file://a/b_480p.m3u8\")","ref":"HLS.Packager.html#append_to_path/2-examples"},{"type":"function","title":"HLS.Packager.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"HLS.Packager.html#child_spec/1"},{"type":"function","title":"HLS.Packager.discontinue_track/2","doc":"Will force that the next added segment has an `EXT-X-DISCONTINUITY` tag.","ref":"HLS.Packager.html#discontinue_track/2"},{"type":"function","title":"HLS.Packager.flush/1","doc":"Writes down the remaining segments and marks all playlists as finished (EXT-X-ENDLIST).\nDeletes pending playlists.","ref":"HLS.Packager.html#flush/1"},{"type":"function","title":"HLS.Packager.has_track?/2","doc":"Checks if the given track already exists in the packager.","ref":"HLS.Packager.html#has_track?/2"},{"type":"function","title":"HLS.Packager.max_track_duration/1","doc":"Returns the maximum track duration.","ref":"HLS.Packager.html#max_track_duration/1"},{"type":"function","title":"HLS.Packager.next_sync_point/2","doc":"Returns the next synchronization point which\ncan then be passed to the `sync/2` function.","ref":"HLS.Packager.html#next_sync_point/2"},{"type":"function","title":"HLS.Packager.put_init_section/3","doc":"The `put_init_section/3` function adds or updates the initialization section (such as an MPEG-4 ‘init’ section)\nfor the given track. This section will be used for all upcoming segments and is essential for media formats like fragmented\nMP4 where an initial header is required before media segments can be played.\n\nIf the init section has changed, it is uploaded and associated with future segments. If no payload is provided,\nthe init section is removed.","ref":"HLS.Packager.html#put_init_section/3"},{"type":"function","title":"HLS.Packager.put_segment/4","doc":"Adds a new segment asynchronously to the given track.","ref":"HLS.Packager.html#put_segment/4"},{"type":"function","title":"HLS.Packager.relative_segment_uri/3","doc":"Generates a relative segment uri for the given playlist and segment index.","ref":"HLS.Packager.html#relative_segment_uri/3"},{"type":"function","title":"Examples - HLS.Packager.relative_segment_uri/3","doc":"iex> HLS.Packager.relative_segment_uri(\n    ...>   URI.new!(\"file://x/stream_video_480p.m3u8\"),\n    ...>   \".aac\",\n    ...>   48\n    ...> )\n    URI.new!(\"stream_video_480p/00000/stream_video_480p_00048.aac\")","ref":"HLS.Packager.html#relative_segment_uri/3-examples"},{"type":"function","title":"HLS.Packager.start_link/1","doc":"Initializes a new packager with a storage and its root manifest uri.\nBy default, the packager will raise an exception when trying to resume a\nfinished track. This behaviour can be controlled with the `resume_finished_tracks` option.","ref":"HLS.Packager.html#start_link/1"},{"type":"function","title":"Examples - HLS.Packager.start_link/1","doc":"```elixir\nHLS.Packager.start_link(\n  storage: HLS.Storage.File.new(),\n  manifest_uri: URI.new!(\"file://stream.m3u8\"),\n  resume_finished_tracks: false,\n  restore_pending_segments: true,\n  master_written_callback: nil\n)\n```","ref":"HLS.Packager.html#start_link/1-examples"},{"type":"function","title":"HLS.Packager.sync/2","doc":"Synchronizes all media playlists and writes down the master playlist as soon as needed.","ref":"HLS.Packager.html#sync/2"},{"type":"function","title":"HLS.Packager.track_duration/2","doc":"Returns the duration of the given track.","ref":"HLS.Packager.html#track_duration/2"},{"type":"function","title":"HLS.Packager.track_variant_uri/2","doc":"Returns a relative variant uri for a given track id.","ref":"HLS.Packager.html#track_variant_uri/2"},{"type":"function","title":"HLS.Packager.tracks/1","doc":"Returns the tracks managed by the packager.","ref":"HLS.Packager.html#tracks/1"},{"type":"type","title":"HLS.Packager.add_track_opt/0","doc":"","ref":"HLS.Packager.html#t:add_track_opt/0"},{"type":"type","title":"HLS.Packager.t/0","doc":"","ref":"HLS.Packager.html#t:t/0"},{"type":"type","title":"HLS.Packager.track_id/0","doc":"","ref":"HLS.Packager.html#t:track_id/0"},{"type":"module","title":"HLS.Packager.Track","doc":"","ref":"HLS.Packager.Track.html"},{"type":"type","title":"HLS.Packager.Track.t/0","doc":"","ref":"HLS.Packager.Track.html#t:t/0"},{"type":"module","title":"HLS.Playlist","doc":"HLS Playlist parses based on RFC 8216.","ref":"HLS.Playlist.html"},{"type":"function","title":"HLS.Playlist.build_absolute_uri/2","doc":"Given a master or media playlist and its child resource, like segment, builds\nthe absolute URI that can be used to fetch it. The .m3u8 allows such resources\nto be absolute URIs on their own. This function respects it leaving the child\nresource as is.","ref":"HLS.Playlist.html#build_absolute_uri/2"},{"type":"function","title":"HLS.Playlist.extract_relative_uri/2","doc":"Extracts the relative URI of a child resource, if possible.","ref":"HLS.Playlist.html#extract_relative_uri/2"},{"type":"function","title":"HLS.Playlist.marshal/1","doc":"","ref":"HLS.Playlist.html#marshal/1"},{"type":"function","title":"HLS.Playlist.unmarshal/2","doc":"Given a valid playlist file and a playlist module implementation, returns the\ndeserialized list of tags.","ref":"HLS.Playlist.html#unmarshal/2"},{"type":"protocol","title":"HLS.Playlist.Marshaler","doc":"","ref":"HLS.Playlist.Marshaler.html"},{"type":"function","title":"HLS.Playlist.Marshaler.marshal/1","doc":"","ref":"HLS.Playlist.Marshaler.html#marshal/1"},{"type":"type","title":"HLS.Playlist.Marshaler.t/0","doc":"All the types that implement this protocol.","ref":"HLS.Playlist.Marshaler.html#t:t/0"},{"type":"module","title":"HLS.Playlist.Master","doc":"","ref":"HLS.Playlist.Master.html"},{"type":"function","title":"HLS.Playlist.Master.add_alternative_rendition/2","doc":"","ref":"HLS.Playlist.Master.html#add_alternative_rendition/2"},{"type":"function","title":"HLS.Playlist.Master.filter_alternative_renditions_for_stream/2","doc":"Returns the alternative renditions for this stream.","ref":"HLS.Playlist.Master.html#filter_alternative_renditions_for_stream/2"},{"type":"function","title":"HLS.Playlist.Master.set_default/2","doc":"","ref":"HLS.Playlist.Master.html#set_default/2"},{"type":"function","title":"HLS.Playlist.Master.update_alternative_rendition/4","doc":"","ref":"HLS.Playlist.Master.html#update_alternative_rendition/4"},{"type":"function","title":"HLS.Playlist.Master.variant_streams/1","doc":"Returns all variant streams of the playlist.","ref":"HLS.Playlist.Master.html#variant_streams/1"},{"type":"type","title":"HLS.Playlist.Master.t/0","doc":"","ref":"HLS.Playlist.Master.html#t:t/0"},{"type":"module","title":"HLS.Playlist.Media","doc":"","ref":"HLS.Playlist.Media.html"},{"type":"function","title":"HLS.Playlist.Media.build_segment_uri/2","doc":"Builds segment absolute uri.","ref":"HLS.Playlist.Media.html#build_segment_uri/2"},{"type":"function","title":"HLS.Playlist.Media.compute_playlist_duration/1","doc":"","ref":"HLS.Playlist.Media.html#compute_playlist_duration/1"},{"type":"function","title":"HLS.Playlist.Media.new/2","doc":"","ref":"HLS.Playlist.Media.html#new/2"},{"type":"function","title":"HLS.Playlist.Media.segments/1","doc":"Returns the segments for this playlist.","ref":"HLS.Playlist.Media.html#segments/1"},{"type":"type","title":"HLS.Playlist.Media.t/0","doc":"","ref":"HLS.Playlist.Media.html#t:t/0"},{"type":"module","title":"HLS.Playlist.Media.Tracker","doc":"","ref":"HLS.Playlist.Media.Tracker.html"},{"type":"function","title":"HLS.Playlist.Media.Tracker.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"HLS.Playlist.Media.Tracker.html#child_spec/1"},{"type":"function","title":"HLS.Playlist.Media.Tracker.follow/2","doc":"","ref":"HLS.Playlist.Media.Tracker.html#follow/2"},{"type":"function","title":"HLS.Playlist.Media.Tracker.initial_live_buffer_size/0","doc":"","ref":"HLS.Playlist.Media.Tracker.html#initial_live_buffer_size/0"},{"type":"function","title":"HLS.Playlist.Media.Tracker.start_link/2","doc":"","ref":"HLS.Playlist.Media.Tracker.html#start_link/2"},{"type":"function","title":"HLS.Playlist.Media.Tracker.stop/1","doc":"","ref":"HLS.Playlist.Media.Tracker.html#stop/1"},{"type":"type","title":"HLS.Playlist.Media.Tracker.target_t/0","doc":"","ref":"HLS.Playlist.Media.Tracker.html#t:target_t/0"},{"type":"module","title":"HLS.Playlist.Media.Tracker.Tracking","doc":"","ref":"HLS.Playlist.Media.Tracker.Tracking.html"},{"type":"behaviour","title":"HLS.Playlist.Tag","doc":"","ref":"HLS.Playlist.Tag.html"},{"type":"function","title":"HLS.Playlist.Tag.capture_attribute_list!/3","doc":"","ref":"HLS.Playlist.Tag.html#capture_attribute_list!/3"},{"type":"function","title":"HLS.Playlist.Tag.capture_value!/4","doc":"","ref":"HLS.Playlist.Tag.html#capture_value!/4"},{"type":"function","title":"HLS.Playlist.Tag.class_from_id/1","doc":"","ref":"HLS.Playlist.Tag.html#class_from_id/1"},{"type":"callback","title":"HLS.Playlist.Tag.has_uri?/0","doc":"","ref":"HLS.Playlist.Tag.html#c:has_uri?/0"},{"type":"callback","title":"HLS.Playlist.Tag.id/0","doc":"","ref":"HLS.Playlist.Tag.html#c:id/0"},{"type":"callback","title":"HLS.Playlist.Tag.init/2","doc":"","ref":"HLS.Playlist.Tag.html#c:init/2"},{"type":"callback","title":"HLS.Playlist.Tag.is_multiline?/0","doc":"","ref":"HLS.Playlist.Tag.html#c:is_multiline?/0"},{"type":"function","title":"HLS.Playlist.Tag.marshal/1","doc":"","ref":"HLS.Playlist.Tag.html#marshal/1"},{"type":"function","title":"HLS.Playlist.Tag.marshal/2","doc":"","ref":"HLS.Playlist.Tag.html#marshal/2"},{"type":"function","title":"HLS.Playlist.Tag.marshal_id/1","doc":"","ref":"HLS.Playlist.Tag.html#marshal_id/1"},{"type":"callback","title":"HLS.Playlist.Tag.match?/1","doc":"","ref":"HLS.Playlist.Tag.html#c:match?/1"},{"type":"function","title":"HLS.Playlist.Tag.parse_attribute_list/1","doc":"Parses an attribute list string as specified in RFC 8216, section 4.2","ref":"HLS.Playlist.Tag.html#parse_attribute_list/1"},{"type":"callback","title":"HLS.Playlist.Tag.unmarshal/1","doc":"","ref":"HLS.Playlist.Tag.html#c:unmarshal/1"},{"type":"type","title":"HLS.Playlist.Tag.attribute_list_t/0","doc":"","ref":"HLS.Playlist.Tag.html#t:attribute_list_t/0"},{"type":"type","title":"HLS.Playlist.Tag.behaviour_t/0","doc":"","ref":"HLS.Playlist.Tag.html#t:behaviour_t/0"},{"type":"type","title":"HLS.Playlist.Tag.group_id_t/0","doc":"","ref":"HLS.Playlist.Tag.html#t:group_id_t/0"},{"type":"type","title":"HLS.Playlist.Tag.t/0","doc":"","ref":"HLS.Playlist.Tag.html#t:t/0"},{"type":"type","title":"HLS.Playlist.Tag.tag_class_t/0","doc":"","ref":"HLS.Playlist.Tag.html#t:tag_class_t/0"},{"type":"type","title":"HLS.Playlist.Tag.tag_id_t/0","doc":"","ref":"HLS.Playlist.Tag.html#t:tag_id_t/0"},{"type":"module","title":"HLS.Playlist.Tag.AlternativeRendition","doc":"","ref":"HLS.Playlist.Tag.AlternativeRendition.html"},{"type":"function","title":"HLS.Playlist.Tag.AlternativeRendition.capture_attribute_list!/2","doc":"","ref":"HLS.Playlist.Tag.AlternativeRendition.html#capture_attribute_list!/2"},{"type":"function","title":"HLS.Playlist.Tag.AlternativeRendition.capture_value!/3","doc":"","ref":"HLS.Playlist.Tag.AlternativeRendition.html#capture_value!/3"},{"type":"function","title":"HLS.Playlist.Tag.AlternativeRendition.rendition_type_to_atom/1","doc":"","ref":"HLS.Playlist.Tag.AlternativeRendition.html#rendition_type_to_atom/1"},{"type":"module","title":"HLS.Playlist.Tag.Byterange","doc":"","ref":"HLS.Playlist.Tag.Byterange.html"},{"type":"function","title":"HLS.Playlist.Tag.Byterange.capture_attribute_list!/2","doc":"","ref":"HLS.Playlist.Tag.Byterange.html#capture_attribute_list!/2"},{"type":"function","title":"HLS.Playlist.Tag.Byterange.capture_value!/3","doc":"","ref":"HLS.Playlist.Tag.Byterange.html#capture_value!/3"},{"type":"function","title":"HLS.Playlist.Tag.Byterange.marshal/1","doc":"","ref":"HLS.Playlist.Tag.Byterange.html#marshal/1"},{"type":"function","title":"HLS.Playlist.Tag.Byterange.parse_byterange/1","doc":"","ref":"HLS.Playlist.Tag.Byterange.html#parse_byterange/1"},{"type":"module","title":"HLS.Playlist.Tag.Discontinuity","doc":"","ref":"HLS.Playlist.Tag.Discontinuity.html"},{"type":"function","title":"HLS.Playlist.Tag.Discontinuity.capture_attribute_list!/2","doc":"","ref":"HLS.Playlist.Tag.Discontinuity.html#capture_attribute_list!/2"},{"type":"function","title":"HLS.Playlist.Tag.Discontinuity.capture_value!/3","doc":"","ref":"HLS.Playlist.Tag.Discontinuity.html#capture_value!/3"},{"type":"module","title":"HLS.Playlist.Tag.EndList","doc":"","ref":"HLS.Playlist.Tag.EndList.html"},{"type":"function","title":"HLS.Playlist.Tag.EndList.capture_attribute_list!/2","doc":"","ref":"HLS.Playlist.Tag.EndList.html#capture_attribute_list!/2"},{"type":"function","title":"HLS.Playlist.Tag.EndList.capture_value!/3","doc":"","ref":"HLS.Playlist.Tag.EndList.html#capture_value!/3"},{"type":"module","title":"HLS.Playlist.Tag.IndependentSegments","doc":"","ref":"HLS.Playlist.Tag.IndependentSegments.html"},{"type":"function","title":"HLS.Playlist.Tag.IndependentSegments.capture_attribute_list!/2","doc":"","ref":"HLS.Playlist.Tag.IndependentSegments.html#capture_attribute_list!/2"},{"type":"function","title":"HLS.Playlist.Tag.IndependentSegments.capture_value!/3","doc":"","ref":"HLS.Playlist.Tag.IndependentSegments.html#capture_value!/3"},{"type":"module","title":"HLS.Playlist.Tag.Inf","doc":"","ref":"HLS.Playlist.Tag.Inf.html"},{"type":"function","title":"HLS.Playlist.Tag.Inf.capture_attribute_list!/2","doc":"","ref":"HLS.Playlist.Tag.Inf.html#capture_attribute_list!/2"},{"type":"function","title":"HLS.Playlist.Tag.Inf.capture_value!/3","doc":"","ref":"HLS.Playlist.Tag.Inf.html#capture_value!/3"},{"type":"module","title":"HLS.Playlist.Tag.Map","doc":"","ref":"HLS.Playlist.Tag.Map.html"},{"type":"function","title":"HLS.Playlist.Tag.Map.capture_attribute_list!/2","doc":"","ref":"HLS.Playlist.Tag.Map.html#capture_attribute_list!/2"},{"type":"function","title":"HLS.Playlist.Tag.Map.capture_value!/3","doc":"","ref":"HLS.Playlist.Tag.Map.html#capture_value!/3"},{"type":"function","title":"HLS.Playlist.Tag.Map.marshal_uri_and_byterange/1","doc":"","ref":"HLS.Playlist.Tag.Map.html#marshal_uri_and_byterange/1"},{"type":"module","title":"HLS.Playlist.Tag.MediaSequenceNumber","doc":"","ref":"HLS.Playlist.Tag.MediaSequenceNumber.html"},{"type":"function","title":"HLS.Playlist.Tag.MediaSequenceNumber.capture_attribute_list!/2","doc":"","ref":"HLS.Playlist.Tag.MediaSequenceNumber.html#capture_attribute_list!/2"},{"type":"function","title":"HLS.Playlist.Tag.MediaSequenceNumber.capture_value!/3","doc":"","ref":"HLS.Playlist.Tag.MediaSequenceNumber.html#capture_value!/3"},{"type":"module","title":"HLS.Playlist.Tag.PlaylistType","doc":"","ref":"HLS.Playlist.Tag.PlaylistType.html"},{"type":"function","title":"HLS.Playlist.Tag.PlaylistType.capture_attribute_list!/2","doc":"","ref":"HLS.Playlist.Tag.PlaylistType.html#capture_attribute_list!/2"},{"type":"function","title":"HLS.Playlist.Tag.PlaylistType.capture_value!/3","doc":"","ref":"HLS.Playlist.Tag.PlaylistType.html#capture_value!/3"},{"type":"function","title":"HLS.Playlist.Tag.PlaylistType.marshal_playlist_type/1","doc":"","ref":"HLS.Playlist.Tag.PlaylistType.html#marshal_playlist_type/1"},{"type":"type","title":"HLS.Playlist.Tag.PlaylistType.type/0","doc":"","ref":"HLS.Playlist.Tag.PlaylistType.html#t:type/0"},{"type":"module","title":"HLS.Playlist.Tag.SegmentURI","doc":"","ref":"HLS.Playlist.Tag.SegmentURI.html"},{"type":"module","title":"HLS.Playlist.Tag.TargetSegmentDuration","doc":"","ref":"HLS.Playlist.Tag.TargetSegmentDuration.html"},{"type":"function","title":"HLS.Playlist.Tag.TargetSegmentDuration.capture_attribute_list!/2","doc":"","ref":"HLS.Playlist.Tag.TargetSegmentDuration.html#capture_attribute_list!/2"},{"type":"function","title":"HLS.Playlist.Tag.TargetSegmentDuration.capture_value!/3","doc":"","ref":"HLS.Playlist.Tag.TargetSegmentDuration.html#capture_value!/3"},{"type":"module","title":"HLS.Playlist.Tag.VariantStream","doc":"","ref":"HLS.Playlist.Tag.VariantStream.html"},{"type":"function","title":"HLS.Playlist.Tag.VariantStream.capture_attribute_list!/2","doc":"","ref":"HLS.Playlist.Tag.VariantStream.html#capture_attribute_list!/2"},{"type":"function","title":"HLS.Playlist.Tag.VariantStream.capture_value!/3","doc":"","ref":"HLS.Playlist.Tag.VariantStream.html#capture_value!/3"},{"type":"module","title":"HLS.Playlist.Tag.Version","doc":"","ref":"HLS.Playlist.Tag.Version.html"},{"type":"function","title":"HLS.Playlist.Tag.Version.capture_attribute_list!/2","doc":"","ref":"HLS.Playlist.Tag.Version.html#capture_attribute_list!/2"},{"type":"function","title":"HLS.Playlist.Tag.Version.capture_value!/3","doc":"","ref":"HLS.Playlist.Tag.Version.html#capture_value!/3"},{"type":"protocol","title":"HLS.Playlist.Unmarshaler","doc":"","ref":"HLS.Playlist.Unmarshaler.html"},{"type":"function","title":"HLS.Playlist.Unmarshaler.load_tags/2","doc":"","ref":"HLS.Playlist.Unmarshaler.html#load_tags/2"},{"type":"function","title":"HLS.Playlist.Unmarshaler.supported_tags/1","doc":"Returns a list of modules implementing the tag behaviour that are used to\ndefine the playlist.","ref":"HLS.Playlist.Unmarshaler.html#supported_tags/1"},{"type":"type","title":"HLS.Playlist.Unmarshaler.t/0","doc":"All the types that implement this protocol.","ref":"HLS.Playlist.Unmarshaler.html#t:t/0"},{"type":"type","title":"HLS.Playlist.Unmarshaler.tag_map_t/0","doc":"","ref":"HLS.Playlist.Unmarshaler.html#t:tag_map_t/0"},{"type":"module","title":"HLS.Segment","doc":"","ref":"HLS.Segment.html"},{"type":"function","title":"HLS.Segment.from_tags/1","doc":"","ref":"HLS.Segment.html#from_tags/1"},{"type":"function","title":"HLS.Segment.update_absolute_sequence/2","doc":"","ref":"HLS.Segment.html#update_absolute_sequence/2"},{"type":"type","title":"HLS.Segment.byterange/0","doc":"","ref":"HLS.Segment.html#t:byterange/0"},{"type":"type","title":"HLS.Segment.t/0","doc":"","ref":"HLS.Segment.html#t:t/0"},{"type":"protocol","title":"HLS.Storage","doc":"","ref":"HLS.Storage.html"},{"type":"function","title":"HLS.Storage.delete/3","doc":"","ref":"HLS.Storage.html#delete/3"},{"type":"function","title":"HLS.Storage.get/3","doc":"","ref":"HLS.Storage.html#get/3"},{"type":"function","title":"HLS.Storage.put/4","doc":"","ref":"HLS.Storage.html#put/4"},{"type":"type","title":"HLS.Storage.option/0","doc":"","ref":"HLS.Storage.html#t:option/0"},{"type":"type","title":"HLS.Storage.options/0","doc":"","ref":"HLS.Storage.html#t:options/0"},{"type":"type","title":"HLS.Storage.t/0","doc":"All the types that implement this protocol.","ref":"HLS.Storage.html#t:t/0"},{"type":"module","title":"HLS.Storage.File","doc":"","ref":"HLS.Storage.File.html"},{"type":"function","title":"HLS.Storage.File.new/0","doc":"","ref":"HLS.Storage.File.html#new/0"},{"type":"module","title":"HLS.Storage.S3","doc":"","ref":"HLS.Storage.S3.html"},{"type":"function","title":"HLS.Storage.S3.new/1","doc":"","ref":"HLS.Storage.S3.html#new/1"},{"type":"module","title":"HLS.VariantStream","doc":"","ref":"HLS.VariantStream.html"},{"type":"function","title":"HLS.VariantStream.associated_group_ids/1","doc":"","ref":"HLS.VariantStream.html#associated_group_ids/1"},{"type":"function","title":"HLS.VariantStream.from_tag/1","doc":"","ref":"HLS.VariantStream.html#from_tag/1"},{"type":"function","title":"HLS.VariantStream.to_tag/1","doc":"","ref":"HLS.VariantStream.html#to_tag/1"},{"type":"type","title":"HLS.VariantStream.t/0","doc":"","ref":"HLS.VariantStream.html#t:t/0"},{"type":"exception","title":"HLS.Packager.AddTrackError","doc":"","ref":"HLS.Packager.AddTrackError.html"},{"type":"exception","title":"HLS.Packager.PlaylistFinishedError","doc":"","ref":"HLS.Packager.PlaylistFinishedError.html"},{"type":"exception","title":"HLS.Packager.PlaylistNotFoundError","doc":"","ref":"HLS.Packager.PlaylistNotFoundError.html"},{"type":"exception","title":"HLS.Packager.ResumeError","doc":"","ref":"HLS.Packager.ResumeError.html"},{"type":"exception","title":"HLS.Packager.TrackNotFoundError","doc":"","ref":"HLS.Packager.TrackNotFoundError.html"},{"type":"exception","title":"HLS.Playlist.Master.DuplicateError","doc":"","ref":"HLS.Playlist.Master.DuplicateError.html"},{"type":"exception","title":"HLS.Playlist.Master.NotFoundError","doc":"","ref":"HLS.Playlist.Master.NotFoundError.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}